Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::ServantManager_var Class Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::ServantManager_var:

[legend]
Collaboration diagram for PortableServer::ServantManager_var:

[legend]
List of all members.

## Public Methods
| ServantManager_var (void)
| ServantManager_var (ServantManager_ptr p)
| ServantManager_var (const ServantManager_var &)
| ~ServantManager_var (void)
ServantManager_var & | operator= (ServantManager_ptr)
ServantManager_var & | operator= (const ServantManager_var &)
ServantManager_ptr | operator-> (void) const
| operator const ServantManager_ptr & () const
| operator ServantManager_ptr & ()
ServantManager_ptr | in (void) const
ServantManager_ptr & | inout (void)
ServantManager_ptr & | out (void)
ServantManager_ptr | _retn (void)
ServantManager_ptr | ptr (void) const
## Static Public Methods
ServantManager_ptr | tao_duplicate (ServantManager_ptr)
void | tao_release (ServantManager_ptr)
ServantManager_ptr | tao_nil (void)
ServantManager_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| ServantManager_var (const TAO_Base_var &rhs)
ServantManager_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
ServantManager_ptr | ptr_

## Constructor & Destructor Documentation

PortableServer::ServantManager_var::ServantManager_var | ( | void |  | ) |

PortableServer::ServantManager_var::ServantManager_var | ( | ServantManager_ptr | p | ) | `[inline]`

PortableServer::ServantManager_var::ServantManager_var | ( | const ServantManager_var & |  | ) |

PortableServer::ServantManager_var::~ServantManager_var | ( | void |  | ) |

PortableServer::ServantManager_var::ServantManager_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

ServantManager_ptr PortableServer::ServantManager_var::_retn | ( | void |  | ) |

ServantManager_ptr PortableServer::ServantManager_var::in | ( | void |  | ) | const

ServantManager_ptr& PortableServer::ServantManager_var::inout | ( | void |  | ) |

PortableServer::ServantManager_var::operator const ServantManager_ptr & | ( |  | ) | const

PortableServer::ServantManager_var::operator ServantManager_ptr & | ( |  | ) |

ServantManager_ptr PortableServer::ServantManager_var::operator-> | ( | void |  | ) | const

ServantManager_var& PortableServer::ServantManager_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

ServantManager_var& PortableServer::ServantManager_var::operator= | ( | const ServantManager_var & |  | ) |

PortableServer::ServantManager_var & PortableServer::ServantManager_var::operator= | ( | ServantManager_ptr | p | ) |

ServantManager_ptr& PortableServer::ServantManager_var::out | ( | void |  | ) |

PortableServer::ServantManager_ptr PortableServer::ServantManager_var::ptr | ( | void |  | ) | const

ServantManager_ptr PortableServer::ServantManager_var::tao_duplicate | ( | ServantManager_ptr |  | ) | `[static]`

ServantManager_ptr PortableServer::ServantManager_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

ServantManager_ptr PortableServer::ServantManager_var::tao_nil | ( | void |  | ) | `[static]`

void PortableServer::ServantManager_var::tao_release | ( | ServantManager_ptr |  | ) | `[static]`

CORBA::Object* PortableServer::ServantManager_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

ServantManager_ptr PortableServer::ServantManager_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- PortableServerC.h
- PortableServerC.cpp